For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leads
        • GETGet a lead by ID
        • GETGet all lead sources
        • GETGet lead source by ID
        • POSTCreate Lead: Realpage
        • PUTUpdate Lead: Realpage
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RealPage Registered VendorLeads

Create Lead: Realpage

POST
/v1/leads/realpage/
POST
/v1/leads/realpage/
$curl -X POST https://api.propexo.com/v1/leads/realpage/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "int-987654321",
> "last_name": "Johnson",
> "first_name": "Emily"
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-123456"
4 },
5 "result": {
6 "integration_id": "int-987654321",
7 "lead_source_id": "leadsrc-12345",
8 "last_name": "Johnson",
9 "first_name": "Emily",
10 "email_1": "emily.johnson@example.com",
11 "phone_1": "+1-555-123-4567",
12 "phone_1_type": "MOBILE",
13 "phone_2": "+1-555-765-4321",
14 "phone_2_type": "HOME",
15 "address_1": "123 Maple Street",
16 "address_2": "Apt 4B",
17 "city": "Springfield",
18 "state": "IL",
19 "zip": "62704",
20 "country": "USA"
21 }
22}
Create Lead: Realpage | Interface | Method | |---|---| | Prospect Management ODE | InsertProspect | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Update Lead: Realpage

Next
Built with

Create Lead: Realpage

InterfaceMethod
Prospect Management ODEInsertProspect
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
last_namestringRequired<=30 characters
The last name associated with the lead
first_namestringRequired<=30 characters
The first name associated with the lead
lead_source_idstringOptional
The Propexo unique identifier for the lead source
email_1stringOptionalformat: "email"
The primary email address associated with the lead
phone_1stringOptional
Primary phone number associated with the lead
phone_1_typeenumOptional
Type of the primary phone number
Allowed values:
phone_2stringOptional
Secondary phone number associated with the lead
phone_2_typeenumOptional
Type of the secondary phone number
Allowed values:
address_1stringOptional
The first address line associated with the lead
address_2stringOptional
The second address line associated with the lead
citystringOptional
The city associated with the lead
statestringOptional
The state associated with the lead
zipstringOptional
The zip code associated with the lead
countrystringOptional
The country associated with the lead

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error